Package org.apache.wiki.api.spi

# Interface EngineSPI

public interface EngineSPI
SPI used to locate and provide `Engine` instances.

## Method Summary

Modifier and Type
Method
Description
`Engine`
`find(javax.servlet.ServletContext context, Properties props)`
Locate, or build if necessary, a configured `Engine` instance.

## Method Details

### find

Engine find(javax.servlet.ServletContext context, Properties props)
Locate, or build if necessary, a configured `Engine` instance.

Parameters:
  `context` - servlet context holding the `Engine` instance.
  `props` - Engine configuration properties.
Returns:
  a configured `Engine` instance.